Using the µVision Socket Interface: BPREASON Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
BPREASON Struct Reference
Structs

## Data Fields
UINT | nRes1
| Reserved. More...
UINT | nRes2
| Reserved. More...
UINT | StrLen
| Unused. More...
STOPREASON | eReason
| Reason for stopping execution. More...
xU64 | nPC
| Address of PC when stopped. More...
xU64 | nAdr
| Address of break reason (i.e. memory access address, or breakpoint address) More...
int | nBpNum
| Breakpoint number (-1:=undefined) More...
UINT | nTickMark
| Time of breakpoint creation, used to identify individual breakpoints (0 if nBpNum is undefined) More...
UINT | nRes [4]
| Reserved. More...

## Description

Breakpoint reason data

Contains information on the reason why the target / simulation has stopped executing, and the current state of the processor.

This structure is used in the following messages:

Client <== uVision (Async)

- UV_DBG_STOP_EXECUTION (uVision writes eReason to the reason for stopping execution, nPC to the current program counter value, nAdr to the break reason address, nBpNum to the number of the breakpoint that was hit, and nTickMark to the creation timestamp of the breakpoint that was hit)

## Field Documentation

STOPREASON BPREASON::eReason

Reason for stopping execution.

xU64 BPREASON::nAdr

Address of break reason (i.e. memory access address, or breakpoint address)

int BPREASON::nBpNum

Breakpoint number (-1:=undefined)

xU64 BPREASON::nPC

Address of PC when stopped.

UINT BPREASON::nRes[4]

Reserved.

UINT BPREASON::nRes1

Reserved.

UINT BPREASON::nRes2

Reserved.

UINT BPREASON::nTickMark

Time of breakpoint creation, used to identify individual breakpoints (0 if nBpNum is undefined)

UINT BPREASON::StrLen

Unused.